Groovy Documentation

## groovy.util
[Java] Interface ObjectGraphBuilder.RelationNameResolver

    public interface ObjectGraphBuilder.RelationNameResolver

Strategy for resolving a relationship property name.

Method Summary
`java.lang.String` | `resolveChildRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)`
`java.lang.String` | `resolveParentRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)` Returns the mapping name of parent -> child

Method Detail

### resolveChildRelationName

    public java.lang.String resolveChildRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)

### resolveParentRelationName

    public java.lang.String resolveParentRelationName(java.lang.String parentName, java.lang.Object parent, java.lang.String childName, java.lang.Object child)

  Returns the mapping name of parent -> child
  Parameters:
    `parentName` - the name of the parent node
    `parent` - the parent node
    `childName` - the name of the child node
    `child` - the child node

Groovy Documentation